<?php
/**
 * Rara Journal Template Hooks.
 *
 * @package rara_journal 
 */

/** Import content data*/
if ( ! function_exists( 'rara_journal_import_files' ) ) :
function rara_journal_import_files() {
  $upload_dir = wp_upload_dir();
    return array(
        array(
            'import_file_name'             => 'Metro Magazine Demo',
            'local_import_file'            => $upload_dir['basedir'] . '/rara-demo-pack/rara-journal-demo-content/content/rarajournal.xml',
            'local_import_widget_file'     => $upload_dir['basedir'] . '/rara-demo-pack/rara-journal-demo-content/content/rarajournal.wie',
            'local_import_customizer_file' => $upload_dir['basedir'] . '/rara-demo-pack/rara-journal-demo-content/content/rarajournal.dat',
            'import_preview_image_url'     => get_template_directory() .'/screenshot.png',
            'import_notice'                => __( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'rara-journal' ),
        ),
    );       
}
add_filter( 'rrdi/import_files', 'rara_journal_import_files' );
endif;

/** Programmatically set the front page and menu */
if ( ! function_exists( 'rara_journal_after_import' ) ) :

  function rara_journal_after_import( $selected_import ) {
      
      //Set Menu
      $primary   = get_term_by('name', 'Primary Menu', 'nav_menu');
      $secondary   = get_term_by('name', 'Secondary Menu', 'nav_menu');
      set_theme_mod( 'nav_menu_locations' , array( 
            'primary'   => $primary->term_id,
            'secondary' => $secondary->term_id 
           ) 
      );
      
  }
  add_action( 'rrdi/after_import', 'rara_journal_after_import' );
endif;


function rara_journal_import_msg(){
    return __( 'Before you begin, make sure all recommended plugins are activated.', 'rara-journal' );
}
add_filter( 'rrdi_before_import_msg', 'rara_journal_import_msg' );